summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'dev-python/libnatpmp/libnatpmp-20140401-r1.ebuild')
-rw-r--r--dev-python/libnatpmp/libnatpmp-20140401-r1.ebuild28
1 files changed, 28 insertions, 0 deletions
diff --git a/dev-python/libnatpmp/libnatpmp-20140401-r1.ebuild b/dev-python/libnatpmp/libnatpmp-20140401-r1.ebuild
new file mode 100644
index 00000000000..7c09cbaee15
--- /dev/null
+++ b/dev-python/libnatpmp/libnatpmp-20140401-r1.ebuild
@@ -0,0 +1,28 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+PYTHON_COMPAT=( python2_7 pypy )
+
+inherit distutils-r1
+
+DESCRIPTION="Python module for libnatpmp, an alternative protocol to UPnP IGD"
+HOMEPAGE="http://miniupnp.free.fr/libnatpmp.html"
+SRC_URI="http://miniupnp.free.fr/files/download.php?file=${P}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+DEPEND="~net-libs/${P}"
+RDEPEND="${DEPEND}"
+
+python_prepare_all() {
+ epatch "${FILESDIR}"/link-against-system-lib.patch
+
+ #These are installed by net-libs/libnatpmp
+ rm -f Changelog.txt README || die
+ distutils-r1_python_prepare_all
+}